package com.cpm.lorealbaautomation.gsonGetterSetter;

import java.util.ArrayList;

/**
 * Created by yadavendras on 3/22/2018.
 */

public class BASurveyGetterSetter {

    String SurveyId;
    String SurveyName;
    String SurveyType;
    String SurveyQuestionId;
    String SurveyQuestion;
    String SurveyQuestionType;
    String SurveyAnswerId;
    String SurveyAnswer="";
    String ImageAllow="0";
    String visit_date="";
    String correct_answer_id = "";
    String cam_image="";
    String upload_status = "";

    public String getUpload_status() {
        return upload_status;
    }

    public void setUpload_status(String upload_status) {
        this.upload_status = upload_status;
    }

    public String getCam_image() {
        return cam_image;
    }

    public void setCam_image(String cam_image) {
        this.cam_image = cam_image;
    }

    public String getSurveyId() {
        return SurveyId;
    }

    public void setSurveyId(String surveyId) {
        SurveyId = surveyId;
    }

    public String getSurveyName() {
        return SurveyName;
    }

    public void setSurveyName(String surveyName) {
        SurveyName = surveyName;
    }

    public String getSurveyType() {
        return SurveyType;
    }

    public void setSurveyType(String surveyType) {
        SurveyType = surveyType;
    }

    public String getSurveyQuestionId() {
        return SurveyQuestionId;
    }

    public void setSurveyQuestionId(String surveyQuestionId) {
        SurveyQuestionId = surveyQuestionId;
    }

    public String getSurveyQuestion() {
        return SurveyQuestion;
    }

    public void setSurveyQuestion(String surveyQuestion) {
        SurveyQuestion = surveyQuestion;
    }

    public String getSurveyQuestionType() {
        return SurveyQuestionType;
    }

    public void setSurveyQuestionType(String surveyQuestionType) {
        SurveyQuestionType = surveyQuestionType;
    }

    public String getSurveyAnswerId() {
        return SurveyAnswerId;
    }

    public void setSurveyAnswerId(String surveyAnswerId) {
        SurveyAnswerId = surveyAnswerId;
    }

    public String getSurveyAnswer() {
        return SurveyAnswer;
    }

    public void setSurveyAnswer(String surveyAnswer) {
        SurveyAnswer = surveyAnswer;
    }

    public String getImageAllow() {
        return ImageAllow;
    }

    public void setImageAllow(String imageAllow) {
        ImageAllow = imageAllow;
    }

    public String getVisit_date() {
        return visit_date;
    }

    public void setVisit_date(String visit_date) {
        this.visit_date = visit_date;
    }

    ArrayList<BASurveyGetterSetter> answerList = new ArrayList<>();

    public String getCorrect_answer_id() {
        return correct_answer_id;
    }

    public void setCorrect_answer_id(String correct_answer_id) {
        this.correct_answer_id = correct_answer_id;
    }

    public ArrayList<BASurveyGetterSetter> getAnswerList() {
        return answerList;
    }

    public void setAnswerList(ArrayList<BASurveyGetterSetter> answerList) {
        this.answerList = answerList;
    }

}
